- reverted version patch to use RUBY_LIB_VERSION_STYLE=2 (minor)
authorJakub Bogusz <qboosh@pld-linux.org>
Fri, 7 Feb 2020 20:11:41 +0000 (21:11 +0100)
committerJakub Bogusz <qboosh@pld-linux.org>
Fri, 7 Feb 2020 20:11:41 +0000 (21:11 +0100)
- dropped rubygems patch (harmful now, causes requires cycle)

ruby-version.patch
ruby.spec
rubygems.patch [deleted file]

index a74fb74d062c8f41f0933ebead274ac896dd88c5..43ed045f0a91616c0ecc3a76459bb3fb882d3dcb 100644 (file)
@@ -58,7 +58,7 @@ index 8ea969412f..a00f2b6776 100644
 -], [
 -    RUBY_LIB_VERSION="${ruby_version}"
 -])
-+RUBY_LIB_VERSION_STYLE='3     /* full */'
++RUBY_LIB_VERSION_STYLE='2     /* minor */'
 +{
 +echo "#define RUBY_LIB_VERSION_STYLE $RUBY_LIB_VERSION_STYLE"
 +echo '#define STRINGIZE(x) x'
index dff9eb29a1a31be59d338f6640e3ad0328bc4011..af82f99b73b6a8903119559924e0a163550a16de 100644 (file)
--- a/ruby.spec
+++ b/ruby.spec
@@ -53,7 +53,6 @@ Source54:     http://www.unicode.org/Public/9.0.0/ucd/UnicodeData.txt
 Source4:       rdoc.1
 Source5:       testrb.1
 Source6:       operating_system.rb
-Patch1:                rubygems.patch
 Patch2:                fix-bison-invocation.patch
 Patch3:                mkmf-verbose.patch
 Patch4:                strip-ccache.patch
@@ -670,7 +669,6 @@ wywołującego je. Aby to osiągnąć wystarczy bardzo mało kodu.
 
 %prep
 %setup -q -n %{oname}-%{pkg_version} -a2 -a3
-%patch1 -p1
 %patch2 -p1
 %patch3 -p1
 %patch4 -p1
diff --git a/rubygems.patch b/rubygems.patch
deleted file mode 100644 (file)
index 7d6ab9b..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
---- ruby-2.4.4/lib/rubygems/exceptions.rb~     2018-11-03 22:58:19.872127348 +0200
-+++ ruby-2.4.4/lib/rubygems/exceptions.rb      2018-11-03 21:39:23.000000000 +0200
-@@ -4,6 +4,8 @@
- # Each exception needs a brief description and the scenarios where it is
- # likely to be raised
-+require 'rubygems'
-+
- ##
- # Base exception class for RubyGems.  All exception raised by RubyGems are a
- # subclass of this one.
This page took 0.152723 seconds and 4 git commands to generate.